#!/bin/bash

check_local_timezone() {
  dt=`date "+%H:%M" | grep "00:00"`
  if [[ -n ${dt} ]]; then
    # check environment
    exist=`whereis ntpdate | awk '{print $2}'`

    if [[ -z ${exist} ]]; then
      apt-get install ntpdate -y
    fi

    # do sync time
    cp /usr/share/zoneinfo/Asia/Shanghai /etc/localtime
    ntpdate cn.pool.ntp.org
    hwclock --systohc
  fi
}


start_app() {
  /etc/pear/pear_scripts/replace.sh
  check_local_timezone
  /root/pear/tools/post.sh
  /usr/sbin/pear_restart --install_path=/ &
  sed -i 's/sleep 5/sleep 20/g' /etc/rc.local
  ulimit -HSn 131072
  ulimit -c unlimited
}

stop_app() {
  killall -9 pear_restart
  sleep 1
  killall -9 pear_update
  killall -9 pear_monitor
  killall -9 pear_httpd
  killall -9 pear_s
  killall -9 socks_server
  killall -9 scan.sh
  killall -9 ksp2p-server
  killall -9 pear_findppp
  killall -9 ks-agent
  killall -9 ks-agent-x86
  killall -9 ks-agent-x86_small
}

case "$1" in
  start)
    stop_app
    start_app
    ;;
  stop)
    stop_app
    ;;
  reload|restart|force-reload)
    stop_app
    start_app
    ;;
  *)
    echo "$0 start|stop|reload|restart"
    exit 1
esac

exit 0
